"use strict";
const sheep_request_index = require("../../request/index.js");
const ScoreApi = {
  getScoreApi: (params) => {
    return sheep_request_index.request({
      url: "/distri/pt-profit-log/page",
      method: "GET",
      params,
      custom: {
        showLoading: false,
        showError: false
      }
    });
  },
  getMaxScoreList: (params) => {
    return sheep_request_index.request({
      url: "/distri/pt-profit-log/getMaxAmountPage",
      method: "GET",
      params,
      custom: {
        showLoading: false,
        showError: false
      }
    });
  }
};
const __vite_glob_0_0 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: ScoreApi
}, Symbol.toStringTag, { value: "Module" }));
exports.ScoreApi = ScoreApi;
exports.__vite_glob_0_0 = __vite_glob_0_0;
